Package org.kapott.hbci.structures

## Class Saldo

- java.lang.Object
- - org.kapott.hbci.structures.Saldo

All Implemented Interfaces:
  `java.io.Serializable`

    public final class Saldo
    extends java.lang.Object
    implements java.io.Serializable

Darstellung eines Saldos. Anders als bei der Darstellung als einfacher Wert wird hier der absolute Betrag des Wertes gespeichert. Es gibt ein separates Kennzeichen für die Unterscheidung zwischen Soll und Haben.

See Also:
  Serialized Form

### Field Summary

Fields
`java.util.Date` `timestamp` Zeitpunkt der Gültigkeit dieses Saldos.
`Value` `value` Betrag des Saldos.

### Constructor Summary

Constructors
`Saldo()` Anlegen eines neuen Saldo-Objektes

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Umwandeln des Saldos in eine String-Darstellung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### value

    public Value value

Betrag des Saldos.

#### timestamp

    public java.util.Date timestamp

Zeitpunkt der Gültigkeit dieses Saldos.

### Constructor Detail

#### Saldo

    public Saldo()

Anlegen eines neuen Saldo-Objektes

### Method Detail

#### toString

    public java.lang.String toString()

Umwandeln des Saldos in eine String-Darstellung. Das Format ist dabei folgendes:

    <timestamp> ["+"|"-"] <value>

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Stringdarstellung des Saldos